<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the facture table */
	$order_from = get_sql_from('fiches_changes');
	if(!$order_from) exit(error_message('Access denied!', false));

	/* get invoice */
	$order_id = intval($_REQUEST['idfichechange']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve facturations info */
	$order_fields = get_sql_fields('fiches_changes');
	$res = sql("select {$order_fields} from {$order_from} and idfichechange={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	/* total colonne montant */
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('fiches_changes_items');
	$item_from = get_sql_from('fiches_changes_items');
	$res = sql("select {$item_fields} from {$item_from} and fiches_changes_items.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['montant']);
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}
	
	/* total colonne achats */
	$items = array();
	$order_total1 = 0;
	$item_fields = get_sql_fields('fiches_changes_items');
	$item_from = get_sql_from('fiches_changes_items');
	$res = sql("select {$item_fields} from {$item_from} and fiches_changes_items.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal1'] = str_replace('$', '', $row['achats']);
		$items[] = $row;
		$order_total1 += $row['LineTotal1'];
	}
	
	/* total colonne ventes */
	$items = array();
	$order_total2 = 0;
	$item_fields = get_sql_fields('fiches_changes_items');
	$item_from = get_sql_from('fiches_changes_items');
	$res = sql("select {$item_fields} from {$item_from} and fiches_changes_items.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal2'] = str_replace('$', '', $row['ventes']);
		$items[] = $row;
		$order_total2 += $row['LineTotal2'];
	}
	
	?>
	<!-- bouton impression -->
	<html>
		<head>
			<title></title>
			<style type="text/css" media="print">
				input.imprimer {
					display: none;
				}
		#bas {
				position: fixed;
			bottom: 0;
			width: 100%;
		}
			</style>
		</head>
<body>
    <form method="POST" action="">
        <input type="button" value="Imprimer" class="imprimer" name="bnom" onClick="javascript:window.print()">
    </form>
</body>
	</html>		
	<img id="img1" src="images/logo.jpg" alt="edpto" style="width: 80px; float: right;">
	<h3>GEIGROUPE</h3>

	<p>Tél. + 222 41 15 12 39</p>
	<p>Web. https://geigroupe.mr<br>Email. geigroupe@geigroupe.mr</p>
	<hr>
	<div class="row">
		<div class="col-sm-6">
			<!-- customer info -->
			<h2>FICHES DE CHANGES</h2>
		</div>
		<div class="col-sm-6 text-right">
			<!-- invoice info -->
			<h5>Date : <?php echo $order['date']; ?></h5>
			<h5>N°<?php echo $order['idfichechange']; ?></h5>
			<center>
				<bold>
					<h5>Journée du : <?php echo $order['journee_du']; ?></h5>
				</bold>
			</center>
		</div>
	</div>
	<!-- order items -->
	<table class="table table-striped table-bordered">
		<thead>
			<th class="text-center">#</th>
			<th>N°ORDRE</th>
			<th>NOM ET PRENOM</th>
			<th class="text-center">N° IDENTITE</th>
			<th class="text-center">DEVISE</th>
			<th class="text-center">MONTANTS</th>
			<th class="text-center">ACHATS</th>
			<th class="text-center">VENTES</th>
			<th class="text-center">OBSERVATION</th>
		</thead>
		<tbody>
			<?php foreach($items as $i => $item){ ?>
			<tr>
				<td class="text-center"><?php echo ($i + 1); ?></td>
				<td class="text-center"><?php echo $item['idfiche_change_item']; ?></td>
				<td><?php echo $item['nom_prenom']; ?></td>
				<td class="text-center"><?php echo $item['num_identite']; ?></td>
				<td class="text-center"><?php echo $item['devises']; ?></td>
				<td class="text-center"><?php echo $item['montant']; ?></td>
				<td class="text-center"><?php echo $item['achats']; ?></td>
				<td class="text-center"><?php echo $item['ventes']; ?></td>
				<td><?php echo $item['observations']; ?></td>
			</tr>
			<?php } ?>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="5" class="text-right">TOTAL</th>
				<th class="text-right"> <?php echo number_format($order_total + $order['montant'], 0, ',', ' '); ?></th>
				<th class="text-right"> <?php echo number_format($order_total1 + $order['achats'], 0, ',', ' '); ?></th>
				<th class="text-right"> <?php echo number_format($order_total2 + $order['ventes'], 0, ',', ' '); ?></th>
				<th class="text-right"><?php ?></th>
			</tr>
		</tfoot>
	</table>	
	<!--
	<span id="in-words"><b>Arrêté à la somme de:</b></span>
	<?php
	include_once('nel.php');
	echo enlettres("$order_total");
	?>
	<span id="in-words"><b> fcfa</b></span>
	-->
	<div id="bas">
	<center>
		<p>
		<hr>
			Générale des Entreprises Informatique<br>
			Nouakchott - Mauritanie<br>
		</p>
	</center>
	</div>
<?php

	include_once("$currDir/footer.php");

?>
